Generate a bank batch
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"bank_id": "<string>",
"run_on": "2023-12-25",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bank_id: '<string>', run_on: '2023-12-25', description: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches"
payload = {
"bank_id": "<string>",
"run_on": "2023-12-25",
"description": "<string>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"reference": "<string>",
"bank_id": "<string>",
"bank_name": "<string>",
"format": "<string>",
"status": "<string>",
"run_on": "2023-12-25",
"description": "<string>",
"lines_count": 123,
"total_amount": 123,
"downloaded_at": "<string>",
"downloaded_by": "<string>",
"generated_by": "<string>",
"responded_at": "<string>",
"created_at": "<string>",
"supports_response_import": true,
"pending_lines_count": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Treasury Bank Batches
Generate a bank batch
Build a bank file for one bank that has pending disbursements.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
bank_batches
Generate a bank batch
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"bank_id": "<string>",
"run_on": "2023-12-25",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bank_id: '<string>', run_on: '2023-12-25', description: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches"
payload = {
"bank_id": "<string>",
"run_on": "2023-12-25",
"description": "<string>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"reference": "<string>",
"bank_id": "<string>",
"bank_name": "<string>",
"format": "<string>",
"status": "<string>",
"run_on": "2023-12-25",
"description": "<string>",
"lines_count": 123,
"total_amount": 123,
"downloaded_at": "<string>",
"downloaded_by": "<string>",
"generated_by": "<string>",
"responded_at": "<string>",
"created_at": "<string>",
"supports_response_import": true,
"pending_lines_count": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
The numeric ID of the account
Response
Success